# OroCommerce Storefront Style Guide

The guide contains instructions and tricks on how to quickly create a design of OroCommerce Storefront theme using [Sketch](https://www.sketch.com/) editor.

![OroCommerce Storefront Style Guide](FrontendDesignerGuide.jpg)

The Storefront Style Guide is a collection of examples and user interface behaviors for designers. It contains a color palette, typography, interface elements (forms, buttons, tables, etc.), that serves as a checklist for designers, which will make it possible to eliminate omissions and inaccuracies when creating the OroCommerce theme design. 

## Installing

To open and start using the OroCommerce Storefront Style Guide, you need to download and install:

* [Sketch](https://www.sketch.com/) - is a graphical editor that enables you to design user interfaces and prototypes. A [user guide](https://www.sketch.com/docs/) will help learn general principles of usage and quickly understand the process of creating the Storefront theme design using the Style Guide
* [Lato](https://fonts.google.com/specimen/Lato) - a font that is applied in the Storefront theme
* [FontAwesome 4.7](https://fontawesome.com/v4.7.0/) - a font for icons rendering in the Storefront theme

## How to use

* Download the latest OroCommerce Storefront Style Guide from [here](https://github.com/oroinc/OroCommerceStorefrontStyleGuide/releases)
* Unzip it, and double click `OroCommerce Storefront Style Guide.sketch`

Read more about OroCommerce Storefront Style Guide in [documentation](https://doc.oroinc.com/frontend/storefront-design/storefront-style-guide/)